'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _path2, _g, _path3;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgSouthAfrica = function SvgSouthAfrica(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 64 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "SouthAfrica_svg__a",
    width: 62,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#D9D9D9",
    stroke: "#000",
    d: "M8 1.5h48A6.5 6.5 0 0 1 62.5 8v32a6.5 6.5 0 0 1-6.5 6.5H8A6.5 6.5 0 0 1 1.5 40V8A6.5 6.5 0 0 1 8 1.5Z"
  }))), /*#__PURE__*/React__namespace.createElement("g", {
    mask: "url(#SouthAfrica_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "SouthAfrica_svg__b",
    width: 63,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "luminance"
    }
  }, _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h62.002v45.999H1z"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    mask: "url(#SouthAfrica_svg__b)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#000",
    d: "M1 37.637V10.38l20.516 13.63L.991 37.636z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#000C8A",
    d: "m14.995 47.008 23.032-15.327h32.712V47H14.995z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#E1392D",
    d: "M13.524 1H70.74v15.345H38.018S13.824.847 13.524 1"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFB915",
    d: "M1 6.75v3.63L21.516 24 .991 37.638v3.62l25.838-17.25L.991 6.75z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#007847",
    d: "M1 6.75V1h8.628l27.354 18.328H70.75v9.361H36.982L9.62 47H1v-5.74l25.829-17.25-25.82-17.26z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "M9.62 1h5.376l23.031 15.336H70.74v2.992H36.983L9.619 1.009zm0 46.008h5.376l23.031-15.327H70.74v-2.983H36.983L9.619 47z"
  })))), _path3 || (_path3 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M56 1H8a7 7 0 0 0-7 7v32a7 7 0 0 0 7 7h48a7 7 0 0 0 7-7V8a7 7 0 0 0-7-7M8 0a8 8 0 0 0-8 8v32a8 8 0 0 0 8 8h48a8 8 0 0 0 8-8V8a8 8 0 0 0-8-8z",
    clipRule: "evenodd"
  })));
};

exports.ReactComponent = SvgSouthAfrica;
